import Cookies from 'js-cookie'
import { defineStore } from 'pinia' 

export const useAppStore = defineStore(
  'app',
  {
    state: () => ({
      sidebar: {
        opened: true,
        withoutAnimation: false,
        hide: false
      },
      device: 'desktop',
      size: Cookies.get('size') || 'default'
    }),
    actions: {
      toggleSideBar(withoutAnimation) { 
        if (this.sidebar.hide) {
          return false;
        }
        this.sidebar.opened = !this.sidebar.opened 
        this.sidebar.withoutAnimation = withoutAnimation 
      },
      closeSideBar({ withoutAnimation }) { 
        this.sidebar.opened = false
        this.sidebar.withoutAnimation = withoutAnimation
      },
      toggleDevice(device) {
        this.device = device
      },
      setSize(size) {
        this.size = size;
        Cookies.set('size', size)
      },
      toggleSideBarHide(status) { 
        this.sidebar.hide = status
      }
    }
  })